package com.gxwebsoft.cms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gxwebsoft.common.core.web.PageResult;
import com.gxwebsoft.cms.entity.Follow;
import com.gxwebsoft.cms.param.FollowParam;

import java.util.List;

/**
 * 关注Service
 *
 * @author 科技小王子
 * @since 2024-12-11 18:25:28
 */
public interface FollowService extends IService<Follow> {

    /**
     * 分页关联查询
     *
     * @param param 查询参数
     * @return PageResult<Follow>
     */
    PageResult<Follow> pageRel(FollowParam param);

    /**
     * 关联查询全部
     *
     * @param param 查询参数
     * @return List<Follow>
     */
    List<Follow> listRel(FollowParam param);

    /**
     * 根据id查询
     *
     * @param id 
     * @return Follow
     */
    Follow getByIdRel(Integer id);

    Follow check(Integer userId, Integer followUserId);

    Integer countByFollowUser(Integer followUserId);
}
